/*
 Moteur pas à pas controlé par un DfrDuino Romeo
 
  pour dfrduino M1 : vert (-) rouge, M2 : jaune (-), bleu
 
 */
 
#include <Stepper.h>
 
#define motorSteps 48     // 200 pas par tour
                            
#define motorPin1 4
#define motorPin2 7
#define ledPin 13
 
Stepper myStepper(motorSteps, motorPin1,motorPin2);
 
int E1=5; // enable M1
int E2=6; // enable M2
 
void setup() {
   
  Serial.begin(19200);
 
  pinMode (E1, OUTPUT);
  pinMode(E2,OUTPUT);
  digitalWrite(E1,HIGH);
  digitalWrite (E2, HIGH);
   
  myStepper.setSpeed(110);  
}
 
void loop() {  
   
// RDC -> premier
   Serial.println("RDC -> 1");
   myStepper.step(1160);
   
   delay(3000);
 
  //  premier -> deuxieme
    Serial.println("1 > 2 ");
    myStepper.step(890);
     
   delay(3000);
   
  // deuxieme -> troisieme
      Serial.println("2 > 3");
      myStepper.step(680);
       
   delay(3000);
    
// maintenant on redescend, étage par étage
 
   myStepper.step(-680);  
   delay(3000);
   
    myStepper.step(-890); 
     delay(3000); 
 
    myStepper.step(-1160);      
   delay(3000);
    
}

